__gnu_pbds::sample_probe_fn(3cxx)

NAME
__gnu_pbds::sample_probe_fn - A sample probe policy.

SYNOPSIS

#include <sample_probe_fn.hpp>

  Public Types

typedef std::size_t size_type

  Public Member Functions

sample_probe_fn ()
Default constructor.
sample_probe_fn (const sample_probe_fn &)
Copy constructor.
void swap (sample_probe_fn &)
Swaps content.

  Protected Member Functions

size_type operator() (key_const_reference r_key, size_type i) const
Returns the i-th offset from the hash value of some key r_key.

Detailed Description

A sample probe policy.

Definition at line 47 of file sample_probe_fn.hpp.

Member Typedef Documentation

  typedef std::size_t __gnu_pbds::sample_probe_fn::size_type

Definition at line 50 of file sample_probe_fn.hpp.

Constructor & Destructor Documentation

  __gnu_pbds::sample_probe_fn::sample_probe_fn ()

Default constructor.

  __gnu_pbds::sample_probe_fn::sample_probe_fn (const sample_probe_fn &)

Copy constructor.

Member Function Documentation

  size_type __gnu_pbds::sample_probe_fn::operator() (key_const_reference r_key, size_type i) const [inline], [protected]

Returns the i-th offset from the hash value of some key r_key.

  void __gnu_pbds::sample_probe_fn::swap (sample_probe_fn &) [inline]

Swaps content.

Author

Generated automatically by Doxygen for libstdc++ from the source code.